[dahdi-commits] tzafrir: linux/trunk r9479 - /linux/trunk/build_tools/live_dahdi

SVN commits to the DAHDI project dahdi-commits at lists.digium.com
Mon Nov 15 08:53:27 CST 2010


Author: tzafrir
Date: Mon Nov 15 08:53:24 2010
New Revision: 9479

URL: http://svnview.digium.com/svn/dahdi?view=rev&rev=9479
Log:
live_dahdi: only check for TOOLS_DIR when used

Only check that TOOLD_DIR is valid when it is actually needed (configure,
install, config). This allows not checking for it with *load on a
rsync-ed copy.

Modified:
    linux/trunk/build_tools/live_dahdi

Modified: linux/trunk/build_tools/live_dahdi
URL: http://svnview.digium.com/svn/dahdi/linux/trunk/build_tools/live_dahdi?view=diff&rev=9479&r1=9478&r2=9479
==============================================================================
--- linux/trunk/build_tools/live_dahdi (original)
+++ linux/trunk/build_tools/live_dahdi Mon Nov 15 08:53:24 2010
@@ -29,13 +29,16 @@
 	exit 1
 fi
 
-if [ ! -d "$TOOLS_DIR" ]; then
-	echo >&2 "$0:dahdi-tools dir '$TOOLS_DIR' does not exits.  Aborting".
-	exit 1
-fi
 set -e
 LINUX_DIR_FULL=`(cd $LINUX_DIR; pwd)`
-TOOLS_DIR_FULL=`(cd $TOOLS_DIR; pwd)`
+
+set_tools_dir() {
+	if [ ! -d "$TOOLS_DIR" ]; then
+		echo >&2 "$0:dahdi-tools dir '$TOOLS_DIR' does not exits.  Aborting".
+		exit 1
+	fi
+	TOOLS_DIR_FULL=`(cd $TOOLS_DIR; pwd)`
+}
 
 # Give priority to our installed binaries:
 PATH=$DESTDIR/sbin:$DESTDIR/usr/sbin:$PATH
@@ -227,15 +230,18 @@
 case "$1" in
 configure)
 	shift
+	set_tools_dir
 	cd "$TOOLS_DIR"; ./configure --with-dahdi="$LINUX_DIR_FULL" "$@"
 	;;
 install)
 	shift
+	set_tools_dir
 	cd "$LINUX_DIR"; make install DESTDIR=$DESTDIR "$@"
 	cd "$TOOLS_DIR_FULL"; make install DESTDIR=$DESTDIR DYNFS=yes "$@"
 	;;
 config)
 	shift
+	set_tools_dir
 	cd "$TOOLS_DIR"; make config DESTDIR=$DESTDIR "$@"
 	mkdir -p $DESTDIR/etc/asterisk
 	cat >"$FIRMWARE_DIR/live-init.conf" <<EOF




More information about the dahdi-commits mailing list